class Grid
{
//  GridPoint[][] points;
  int w, h;
  
  Grid(int w, int h)
  {
    this.w = w;
    this.h = h;
    points = new GridPoint[w][h];
    for (int y = 0; y < h; y++)
    {
      for (int x = 0; x < w; x++)
      {
        // int sx = (int)map(x, 0, w - 1, 0, width - 1),
        // int sx = (int)map(x, 0, w - 1, 0, height - 1),
            // sy = (int)map(y, 0, h - 1, 0, height - 1);
        int sx = (int)map(x, 0, w - 1, 0, height - 100),
            sy = (int)map(y, 0, h - 1, 0, height - 100);
        points[x][y] = new GridPoint(sx, sy);
      }
    }
  }
  
  void update(Planet[] planets)
  {
    for (int y = 0; y < h; y++)
    {
      for (int x = 0; x < w; x++)
      {
        points[x][y].update(planets);
      }
    }
  }
  
  void update()
  {
    for (int y = 0; y < h; y++)
    {
      for (int x = 0; x < w; x++)
      {
        points[x][y].update();
      }
    }
  }
  
  void draw()
  {

//    //Draw horizontal lines
//    for (int y = 0; y < h; y++)
//    {
//      beginShape();
//      for (int x = 0; x < w; x++)
//      {
//        PVector p = points[x][y].position;
//        vertex(p.x, p.y);
//        xgrid = p.x;
//        ygrid = p.y;
//      }
//      endShape();
//    }
//    
//    //Draw vertical lines
//    for (int x = 0; x < w; x++)
//    {
//      beginShape();
//      for (int y = 0; y < h; y++)
//      {
//        PVector p = points[x][y].position;
//        vertex(p.x, p.y);
//      }
//      endShape();
//    }
    
  }
}

